RedCrawler API
Users V1

Users by IDs V1

Get user data by account IDs. Accepts both raw IDs and t2_ prefixed. Comma-separated for multiple.

GET /api/v1/profiles/lookup

Get user data by account IDs. Accepts both raw IDs and t2_ prefixed. Comma-separated for multiple.

Query parameters

NameTypeRequiredDescription
idsstringYesAccount ID(s). Accepts raw IDs or t2_ prefixed. Comma-separated for multiple.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/profiles/lookup?ids=t2_3k30p" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/profiles/lookup?ids=t2_3k30p", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/profiles/lookup?ids=t2_3k30p"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "t2_3k30p": {
      "name": "Triplerdiesel",
      "created_utc": 1248271077.0,
      "link_karma": 0,
      "comment_karma": 0,
      "profile_img": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
      "profile_color": null,
      "profile_over_18": false
    }
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:51.543014+00:00"
}

On this page